<?php

global $wpdb;

if ($_POST) {

    $username = esc_sql($_POST['registration_username']);
    $email = esc_sql($_POST['registration_email']);
    $password = esc_sql($_POST['registration_password']);
    $ConfPassword = esc_sql($_POST['registration_confirm_password']);

    $error = array();
    if (strpos($username, ' ') !== FALSE) {
        $error['username_space'] = "Username has a space. Please remove the space and try again.";
    }

    if (empty($username)) {
        $error['username_empty'] = "Username is empty. Please add a Username and try again.";
    }

    if (username_exists($username)) {
        $error['username_exists'] = "Username already exists.";
    }

    if (!is_email($email)) {
        $error['email_valid'] = "Email address does not follow correct email format. Please fix and try again.";
    }

    if (email_exists($email)) {
        $error['email_existence'] = "An account already exists with this email address. Log in to the account associated with this email address or use a different one.";
    }

    if (strcmp($password, $ConfPassword) !== 0) {
        $error['password'] = "Passwords didn't match. Please try again and ensure passwords match.";
    }

    if (count($error) == 0) {

        wp_create_user($username, $password, $email);
        echo '<div class="registration_success">';
        echo 'User Created Successfully';
        echo '</div>';
        exit();
    } else {

        echo '<div class="registration_errors">';
        echo '<div class="registration_error_heading">Registration Error</div>';
        echo '<ul>';
        foreach ($error as $error_message) {
            echo '<li class="registration_error_message">' . $error_message . '</li>';
        }
        echo '</ul>';
        echo '</div>';

    }
}